# service

![Version: 0.0.1](https://img.shields.io/badge/Version-0.0.1-informational?style=flat-square) ![AppVersion: 0.0.1](https://img.shields.io/badge/AppVersion-0.0.1-informational?style=flat-square)


service

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| configs | string | `nil` |  |
| containerPort | string | `nil` |  |
| fullnameOverride | string | `""` |  |
| image.pullPolicy | string | `"Always"` |  |
| image.repository | string | `nil` |  |
| image.tag | string | `nil` |  |
| ingress.annotations."kubernetes.io/ingress.class" | string | `"nginx"` |  |
| ingress.annotations."kubernetes.io/tls-acme" | string | `"true"` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0] | string | `nil` |  |
| livenessProbe | object | `{}` |  |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| podDisruptionBudget.enabled | bool | `false` |  |
| podDisruptionBudget.minAvailable | int | `1` |  |
| rbac.create | bool | `false` |  |
| readinessProbe | object | `{}` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| secrets | string | `nil` |  |
| securityContext | object | `{}` |  |
| service.enabled | bool | `true` |  |
| service.httpPort | int | `8000` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `"service"` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)

## ADD docs
```
docker run --rm --volume "$(pwd):/helm-docs" -u $(id -u) jnorwood/helm-docs:latest
```

## Lint helm-base
```

  image:
    eu.gcr.io/list-limited/google-cloud-sdk:latest
    entrypoint: ["/bin/sh", "-c"]
    helm lint charts/app
```
## ADD helm-base
```
HELM_REPO: "git+https://git.xxx/infra/devops/helm-base@charts?ref=master"
```
### Deploy service
```
  script:
    envsubst < ./helm/values-dev.yaml > ./helm/values.yaml
    helm repo add ${CI_PROJECT_NAME} ${HELM_REPO}
    helm upgrade --install --namespace dev ${CI_PROJECT_NAME} ${CI_PROJECT_NAME}/app -f helm/values.yaml --set image.repository=$REGISTRY --set image.tag=${CI_COMMIT_SHA:0:7}
```